Subject: Fw: Federal FMLA translation needed
From: "Mike" <[email-masked]>
To: "Doris Fergus" <[email-masked]>
Date: Wed, 21 Jan 2009 17:49:41 -0500

Did you get this?  Let me know when I can expect it back.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
----- Original Message ----- 
From: Mike 
To: Doris Fergus 
Sent: Monday, January 19, 2009 10:20 AM
Subject: Federal FMLA translation needed

Doris,
I thought I had already sent this to you but must have forgot.  OOPS.  Please get this to me as soon as you can.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]